summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorZamarin Arthur <arthurzam@gmail.com>2019-10-24 13:49:11 +0300
committerMichał Górny <mgorny@gentoo.org>2019-11-09 12:45:47 +0100
commit0e27d2e6cdfafa7bb2ff2e4323d82269b982c5a0 (patch)
tree9e838123b9a5d64074d2a86b34f19c7d981767e9
parentdev-python/ijson: update upstream URL (diff)
downloadgentoo-0e27d2e6cdfafa7bb2ff2e4323d82269b982c5a0.tar.gz
gentoo-0e27d2e6cdfafa7bb2ff2e4323d82269b982c5a0.tar.bz2
gentoo-0e27d2e6cdfafa7bb2ff2e4323d82269b982c5a0.zip
dev-python/ijson: bump v2.5.1
Package-Manager: Portage-2.3.78, Repoman-2.3.17 Signed-off-by: Zamarin Arthur <arthurzam@gmail.com> Closes: https://github.com/gentoo/gentoo/pull/13415 Signed-off-by: Michał Górny <mgorny@gentoo.org>
-rw-r--r--dev-python/ijson/Manifest1
-rw-r--r--dev-python/ijson/ijson-2.5.1.ebuild23
2 files changed, 24 insertions, 0 deletions
diff --git a/dev-python/ijson/Manifest b/dev-python/ijson/Manifest
index 2c6c87b9be3..1f0a4a73312 100644
--- a/dev-python/ijson/Manifest
+++ b/dev-python/ijson/Manifest
@@ -1,2 +1,3 @@
DIST ijson-2.3.tar.gz 11800 BLAKE2B 0cdd2a40c483341dd9dcd4e7cb52c38752886d02e5b0c5982bad975487391cac31e2b5993118fbb526f91866dc8441a711ec16e0e8f1d320d32eb026bb4c8b0d SHA512 4d6647cb72661b26a3b36addeabec79fbc047a6c3b86aa419c178dfb8ef09bcdefdf37ed729f26b4b6b176cec06230ef3dab53bdff4c4b401bbc835eb486d038
DIST ijson-2.4.tar.gz 17570 BLAKE2B 98301c5572597ab9a52c33dd92e1a2bf1fa9956415f21a49b13de438a6f295221da43c110f94aa280834b85993f4c8a3cfdaa060f28598e5af50510e7657561f SHA512 c93548a0719a9de30d504dd6179dbffedfd91228ef57fe6600af30eaa2338a2b720e6c9c5b386868198945714a725d46dd2dee6a1ae6d6a0d61eb0230eb35608
+DIST ijson-2.5.1.tar.gz 23258 BLAKE2B e41cb4d903399384a1a1d18941a2ecf36e80c762e5d4e3e854e9337f3a72cab3a61576d9d5170b11e1513bd82ca0e2158b8a88d4c30855674366fbc9172c5042 SHA512 f8d2cf0496357d3385e2744a4604cef1fd6fcd92cbd52c8803d7e831c091c18b718ad0c1dc8735c3f10df04e25fe69ef73d6935b2df6f67845493935e2ca529e
diff --git a/dev-python/ijson/ijson-2.5.1.ebuild b/dev-python/ijson/ijson-2.5.1.ebuild
new file mode 100644
index 00000000000..68302d6db32
--- /dev/null
+++ b/dev-python/ijson/ijson-2.5.1.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python2_7 python3_{5,6,7} )
+
+inherit distutils-r1
+
+DESCRIPTION="Iterative JSON parser with a Pythonic interface"
+HOMEPAGE="https://github.com/ICRAR/ijson https://pypi.org/project/ijson/"
+SRC_URI="https://github.com/ICRAR/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="dev-libs/yajl"
+DEPEND="${RDEPEND}"
+BDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+
+python_test() {
+ "${EPYTHON}" tests.py || die
+}